<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$gerencia=$row['gerencia'];
}   
menu();
echo "<b>Opciones:</b>	
&nbsp;&nbsp;<img border = 0 src='img2/archivo.png' alt='Regresar'>:<a href='archivo_trabajador_chequeo_mensaje.php?cedula=".$cedula."'>Ingresar Mensajes / Comentarios al Chequeo del Trabajador</a>";
if ($gerencia==1) {
	//echo "&nbsp;&nbsp;<img border = 0 src='img2/grabar.png' alt='Regresar'>:<a href='archivo_trabajador_chequeo_bajar.php?'>Bajar Chequeo</a>";
}	

echo "</font><hr><h2>Reportes del Chequeo del Personal</h2>";

echo "<form name='entrada' action='archivo_trabajador_chequeo_reporte.php' target='_blanks' method='POST' enctype='multipart/form-data'>";
		echo "<table align='center'>";
			echo "<tr >";
				echo "<td  align='right'>Fecha Desde (ddmmaaaa):</td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fec1","entrada",$valor);
				echo "</td>";
			echo "</tr>";
			echo "<tr >";
				echo "<td  align='right'>Fecha Hasta (ddmmaaaa):</td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fec2","entrada",$valor);
				echo "</td>";
			echo "</tr>";
			
			echo "
				<tr><td align='righta'>Status del Trabajador:</td>
				<td align='left'>
					<select style='width:300px;' name='statusx'>
						<option value='' selected>Todos
						<option value='A'>Activos
						<option value='C'>Contratados
					</select>
				</td>
			</tr>";
				
			$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
			$consulta = mysql_query($query) or die ("no se pudo realizar la consulta...");	
			$resultado = mysql_num_rows($consulta);
			echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td></tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());	
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());	
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());	
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
								
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='Procesar Actualizacion' onClick='return validar_grabar();'>";
			echo "</td></tr>";	
	echo "</table></form>";
			
mysql_close($enlace); 
?>	
<br><br><br>
</body>
</html>